Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## book.ex2.model
Class Book

    java.lang.Object
      book.ex2.model.Book

    public class Book

extends java.lang.Object

Field Summary
`protected java.lang.String` | `authors`
`protected java.lang.String` | `edition`
`protected java.lang.Long` | `id`
`protected java.lang.String` | `isbn`
`protected java.util.Set<java.lang.String>` | `keywords`
`protected java.lang.String` | `publisher`
`protected java.lang.String` | `title`
`protected int` | `year`

Constructor Summary
`Book()`
`Book(java.lang.String title, java.lang.String authors, java.lang.String publisher, int year, java.lang.String edition, java.lang.String isbn, java.util.Set<java.lang.String> keywords)`

Method Summary
`java.lang.String` | `getAuthors()`
`java.lang.String` | `getEdition()`
`java.lang.Long` | `getId()`
`java.lang.String` | `getIsbn()`
`java.util.Set<java.lang.String>` | `getKeywords()`
`java.lang.String` | `getPublisher()`
`java.lang.String` | `getTitle()`
`int` | `getYear()`
`void` | `setAuthors(java.lang.String authors)`
`void` | `setEdition(java.lang.String edition)`
`void` | `setId(java.lang.Long id)`
`void` | `setIsbn(java.lang.String isbn)`
`void` | `setKeywords(java.util.Set<java.lang.String> keywords)`
`void` | `setPublisher(java.lang.String publisher)`
`void` | `setTitle(java.lang.String title)`
`void` | `setYear(int year)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected java.lang.Long id

### title

    protected java.lang.String title

### authors

    protected java.lang.String authors

### publisher

    protected java.lang.String publisher

### year

    protected int year

### edition

    protected java.lang.String edition

### isbn

    protected java.lang.String isbn

### keywords

    protected java.util.Set<java.lang.String> keywords

Constructor Detail

### Book

    public Book()

### Book

    public Book(java.lang.String title,
                java.lang.String authors,
                java.lang.String publisher,
                int year,
                java.lang.String edition,
                java.lang.String isbn,
                java.util.Set<java.lang.String> keywords)

Method Detail

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getAuthors

    public java.lang.String getAuthors()

### setAuthors

    public void setAuthors(java.lang.String authors)

### getPublisher

    public java.lang.String getPublisher()

### setPublisher

    public void setPublisher(java.lang.String publisher)

### getYear

    public int getYear()

### setYear

    public void setYear(int year)

### getEdition

    public java.lang.String getEdition()

### setEdition

    public void setEdition(java.lang.String edition)

### getIsbn

    public java.lang.String getIsbn()

### setIsbn

    public void setIsbn(java.lang.String isbn)

### getKeywords

    public java.util.Set<java.lang.String> getKeywords()

### setKeywords

    public void setKeywords(java.util.Set<java.lang.String> keywords)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD